#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		libvers		1.0.8
%define		_bindir		/bin
#-----------------------------------------------------------------------------
Name		:	bzip2
Version		:	1.0.8
Release		:	16.2.0.rel%{?dist}
Summary		:	A file compression utility
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.bzip.org

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-install_docs-1.patch

#-----------------------------------------------------------------------------
Provides	:	bzip
#-----------------------------------------------------------------------------
%description
bzip2 is a freely available, patent free (see below), high-quality data compressor. 
It typically compresses files to within 10% to 15% of the best available techniques
(the PPM family of statistical compressors), whilst being around twice as fast at
compression and six times faster at decompression.

The current version is 1.0.6, released 20 Sept 2010.

Version 1.0.6 removes a potential security vulnerability, CVE-2010-0405, 
so all users are recommended to upgrade immediately.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc README 
%{_bindir}/bz*
%{_bindir}/bunzip2*
%{_includedir}/bzlib.h
%{_libdir}/libbz2.so*
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/bz*.1.gz

#=============================================================================
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
%build

sed -i 's@\(ln -s -f \)$(PREFIX)/bin/@\1@' Makefile
sed -i "s@(PREFIX)/man@(PREFIX)/share/man@g" Makefile

#-----------------------------------------------------------------------------
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make} %{_smp_mflags} -f Makefile-libbz2_so 
%{__make} clean
%{__make} %{_smp_mflags} all


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}					\
	PREFIX=%{buildroot}%{_prefix}		\
	install

%{__cp} -av					\
	libbz2.so.%{libvers}			\
	%{buildroot}%{_libdir}

%{__ln_s}					\
	./libbz2.so.1.0				\
	%{buildroot}%{_libdir}/libbz2.so

%{__mkdir_p} %{buildroot}%{_bindir}
%{__mv}						\
	%{buildroot}%{_prefix}/bin/*		\
	%{buildroot}%{_bindir}

%{__rm} -f %{buildroot}%{_bindir}/{bunzip2,bzcat,bzip2}
%{__cp} -a					\
	%{name}-shared				\
	%{buildroot}%{_bindir}/%{name}

%{__ln_s} bzip2 %{buildroot}%{_bindir}/bunzip2
%{__ln_s} bzip2 %{buildroot}%{_bindir}/bzcat

#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
